<?
/*
=====================================================
 Volkov NET!! - by SaNcHeS Group 
-----------------------------------------------------
 http://AllForCS.RU/
-----------------------------------------------------
 Copyright (c) 2009 SaNcHeS Group
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Файл: auth.php
-----------------------------------------------------
 Назначение: автор
=====================================================
*/

    if($_POST['enter']) {
	$username = $_POST['user'];
	$password = md5($_POST['passwd']);
    setcookie ("MUSR", $username,time()+3600, "/");  /* expire in 1 hour */
    setcookie ("MPWD", $password,time()+3600, "/");  /* expire in 1 hour */
	}else{
    $username = $_COOKIE['MUSR'];
	$password = $_COOKIE['MPWD'];
	}

	if($_GET['event']=='exit') {
    setcookie ("MUSR", "",time()+3600, "/");  /* expire in 1 hour */
    setcookie ("MPWD", "",time()+3600, "/");  /* expire in 1 hour */
    header("Location: login.php");
	}

    if (safe_login($username) == 1 AND safe_login($password) == 1){
    $musr_sql = @mysql_query("SELECT * FROM `m3_users` WHERE `login` = '$username' AND `passwd` = '$password'");
	if ($musr_sql && @mysql_num_rows($musr_sql)>0)
	{

    while ($row = @mysql_fetch_array($musr_sql, MYSQL_ASSOC))
    {
        $prava=$row['access'];
    	if ($prava == 0){$aut_error .= "<br><br>У вас нет прав доступа.<br>Возможно вашу регистрацию еще не проверил администратор.";}
    	if ($row['mail_chk'] == 0){$aut_error .= "<br><br>Вы не подтвердили регистрацию.<br>На указанный вами почтовый ящик должно прийти письмо.";}
    }

	}else{include ("./login.php"); die;}
    }else{include ("./login.php"); die;}


?>

